FROM alpine

RUN apk add neovim git

# Install config
WORKDIR /root/
RUN git clone --depth 1 https://gitlab.com/ada.loveless/dotfiles/ dotfiles
RUN git clone --depth 1 https://github.com/wbthomason/packer.nvim\
    ~/.local/share/nvim/site/pack/packer/start/packer.nvim
RUN mkdir /root/.config
RUN mv /root/dotfiles/nvim/.config/nvim /root/.config/nvim
RUN rm -rf /root/dotfiles
WORKDIR /
RUN nvim -u /root/.config/nvim/lua/plugins.lua --headless -c 'autocmd User PackerComplete quitall' -c 'PackerInstall'

RUN apk del git

WORKDIR /pwd
VOLUME ["/pwd"]
CMD ["nvim"]
